/* D-RexGxt - D-RexGxt - GUI Design Tool for GWT
 * Copyright (c) 2008,  KPS Corporation
 * All rights reserved.
 *
 * Open Source License
 * ------------------------------------------------------------------------------------------
 * D-RexGxt is licensed under the terms of the Open Source GPL 3.0 license.
 *
 * http://www.gnu.org/licenses/gpl.html
 *
 * --
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */
package jp.co.kpscorp.gwt.client.design.gxt.delegate.comp;


import jp.co.kpscorp.gwt.client.design.WidgetService;
import com.extjs.gxt.ui.client.widget.Component;
import com.extjs.gxt.ui.client.widget.LayoutContainer;
import com.extjs.gxt.ui.client.widget.layout.ColumnLayout;

public class ColumnLayoutContainerDelegate extends LayoutContainerDelegate {

	//private LayoutContainer comp;

	public ColumnLayoutContainerDelegate(WidgetService service, Component widget) {
		super(service, widget);
		//this.comp = (LayoutContainer) widget;
	}

	@Override
	public Component setInitStyle(Component widget) {
		LayoutContainer lc = (LayoutContainer) widget;
		lc.setLayout(new ColumnLayout());
		lc.setBorders(true);
		lc.setHeight(400);
		lc.setWidth(700);

		return lc;
	}


}
